### Method

# Manette Device rumble

#### Declaration [src]

    gboolean
    manette_device_rumble (
      ManetteDevice* self,
      guint16 strong_magnitude,
      guint16 weak_magnitude,
      guint16 milliseconds
    )

#### Description [src]

Make `self` rumble during `milliseconds` milliseconds.

The heavy and light motors will rumble at their respectively defined magnitudes.

The duration cannot exceed 32767 milliseconds.

#### Parameters

`strong_magnitude`

  Type: `guint16`

  The magnitude for the heavy motor.

`weak_magnitude`

  Type: `guint16`

  The magnitude for the light motor.

`milliseconds`

  Type: `guint16`

  The rumble effect play time in milliseconds.

#### Return value

Type: `gboolean`

Whether the rumble effect was played.